Summary: Computing Resource Execution And Management service
Name: glite-ce-cream
Version: 1.15.2
Release: 1.sl6
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: noarch
BuildRequires: glite-ce-cream-api-java, ant, java-1.6.0-openjdk-devel
BuildRequires: classpathx-jaf, jakarta-commons-codec, jakarta-commons-httpclient, jakarta-commons-logging
Requires: glite-ce-cream-utils, glite-ce-cream-core, glite-ce-blahp, mysql-connector-java
Requires(post): openssl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
The Computing Resource Execution And Management service is a web application
taking care of the any job related operation

%prep
 

%setup -c -q

%build
printf "dist.location=%{buildroot}
stage.location=
module.version=%{version}">.configuration.properties
ant


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
ant install
#fix for bug 98440
sed 's|implementation_version\s*=.*$|implementation_version='%{version}'|g' %{buildroot}/etc/glite-ce-cream/service.properties > %{buildroot}/etc/glite-ce-cream/service.properties.new
mv %{buildroot}/etc/glite-ce-cream/service.properties.new %{buildroot}/etc/glite-ce-cream/service.properties

mkdir -p %{buildroot}/usr/share/doc/glite-ce-cream-core-%{version}
cp %{buildroot}/usr/share/doc/glite-ce-cream-%{version}/LICENSE %{buildroot}/usr/share/doc/glite-ce-cream-core-%{version}

mkdir -p %{buildroot}/usr/share/doc/glite-ce-cream-es-%{version}
cp %{buildroot}/usr/share/doc/glite-ce-cream-%{version}/LICENSE %{buildroot}/usr/share/doc/glite-ce-cream-es-%{version}



%clean
rm -rf %{buildroot}

%pre
for((idx=0; idx<5; idx++)) ; do
  /sbin/service tomcat6 stop
  if [ $? == 0 ] ; then idx=5; else sleep 5; fi
done

# Remove the axis1-based installation 
if [ -f /var/lib/tomcat6/webapps/ce-cream/WEB-INF/server-config.wsdd ] ; then
  rm -rf /var/lib/tomcat6/webapps/ce-cream
  rm -f /etc/tomcat6/Catalina/localhost/ce-cream.xml
  rm -rf /var/cache/tomcat6/work/Catalina/localhost/ce-cream
fi

%post
# Do not overwrite axis2-based installation
if [ ! -L /var/lib/tomcat6/webapps/ce-cream/WEB-INF/services/glite-ce-cream.aar ] ; then

  cp -R /usr/share/axis2/webapp /var/lib/tomcat6/webapps/ce-cream || exit 1
  
  ln -s /usr/share/java/jclassads/cedar.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/jclassads/classad.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-api-java-compat.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-common-compat.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/trustmanager.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/bcprov.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/delegation-java-compat.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-common-java.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-api-java.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-blahExecutor.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-core.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-delegationExecutor.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-skeleton.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-delegation-skeleton.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/glite-jdl-api-java.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib
  ln -s /usr/share/java/voms-api-java.jar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/lib

  if [ "xsl6" == "xsl6" ]; then
    # set allowLinking option for tomcat6
    mkdir /var/lib/tomcat6/webapps/ce-cream/META-INF
    echo '<Context override="true" allowLinking="true"></Context>' > /var/lib/tomcat6/webapps/ce-cream/META-INF/context.xml
  fi

  ln -s /usr/share/glite-ce-cream/modules/glite-ce-cream-authorization.mar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/modules
  find /var/lib/tomcat6/webapps/ce-cream/WEB-INF/modules -name *.mar -exec basename \{\} \; > /var/lib/tomcat6/webapps/ce-cream/WEB-INF/modules/modules.list
  
  ln -s /usr/share/glite-ce-cream/services/glite-ce-cream.aar /var/lib/tomcat6/webapps/ce-cream/WEB-INF/services
  find /var/lib/tomcat6/webapps/ce-cream/WEB-INF/services -name *.aar -exec basename \{\} \; >  /var/lib/tomcat6/webapps/ce-cream/WEB-INF/services/services.list

  cp /etc/glite-ce-dbtool/creamdb_min_access.conf.template /etc/glite-ce-cream/creamdb_min_access.conf
  
fi

# Axis Servlet configuration
# customization of axis2.xml (admin password is deprecated)
REPLACE1='s|__CHANGE_SERVICE__|/etc/glite-ce-cream/cream-config.xml|g'
REPLACE2='s|__CHANGE_LOG4J__|/etc/glite-ce-cream/log4j.properties|g'
TMPPWD=J/JLqPn5XQaARQplcHe8
REPLACE3='s|__CHANGE_PWD__|'$TMPPWD'|g'
  
sed "$REPLACE1 ; $REPLACE2 ; $REPLACE3" /etc/glite-ce-common-java/axis2.xml > /var/lib/tomcat6/webapps/ce-cream/WEB-INF/conf/axis2.xml
chmod 600 /var/lib/tomcat6/webapps/ce-cream/WEB-INF/conf/axis2.xml
chown tomcat.tomcat /var/lib/tomcat6/webapps/ce-cream/WEB-INF/conf/axis2.xml
# cannot use symlinks for the following files:
cp -f /etc/glite-ce-common-java/web.xml /var/lib/tomcat6/webapps/ce-cream/WEB-INF/


if [ $1 -eq 1 ] ; then

  #
  # Installation workarounds
  #
  mkdir -p /var/cream
  chown tomcat:tomcat /var/cream
  chmod 700 /var/cream

  mkdir -p /var/cream_sandbox
  chown tomcat:tomcat /var/cream_sandbox
  chmod 700 /var/cream_sandbox

  mkdir -p /var/log/cream
  chown tomcat:tomcat /var/log/cream
  chmod 755 /var/log/cream
    
  mkdir -p /var/log/cream/accounting
  chown root.tomcat /var/log/cream/accounting
  chmod 0730 /var/log/cream/accounting
        
  chown tomcat.tomcat /var/blah
  chmod 771 /var/blah

  chown tomcat.tomcat /usr/bin/glite_cream_load_monitor
  
  /sbin/service tomcat6 start
  
fi

%preun
if [ $1 -eq 0 ] ; then

  for((idx=0; idx<5; idx++)) ; do
    /sbin/service tomcat6 stop
    if [ $? == 0 ] ; then idx=5; else sleep 5; fi
  done

  if [ -d /var/lib/tomcat6/webapps/ce-cream ] ; then 
    rm -rf /var/lib/tomcat6/webapps/ce-cream
  fi
    
  if [ -e /etc/tomcat6/Catalina/localhost/ce-cream.xml ] ; then
    rm -f /etc/tomcat6/Catalina/localhost/ce-cream.xml
  fi
    
  rm -f /etc/glite-ce-cream/creamdb_min_access.conf

fi

%postun
/sbin/service tomcat6 start


%files
%defattr(-,root,root)
%dir /etc/glite-ce-cream/
%config(noreplace) /etc/glite-ce-cream/*.sql
%config(noreplace) /etc/glite-ce-cream/*.template
%config(noreplace) /etc/glite-ce-cream/*.tpl
%config(noreplace) /etc/glite-ce-cream/*.properties
/usr/share/glite-ce-cream/services/glite-ce-cream.aar
%dir /usr/share/doc/glite-ce-cream-1.15.2
%doc /usr/share/doc/glite-ce-cream-1.15.2/LICENSE







%package core
Summary: Common classes for CREAM services
Group: Applications/Internet
Requires: glite-ce-cream-api-java

%description core
This package contains the core libraries used by CREAM services

%files core
%defattr(-,root,root)
/usr/share/java/glite-ce-cream*.jar
%dir /usr/share/glite-ce-cream/modules
/usr/share/glite-ce-cream/modules/*.mar
%dir /usr/share/glite-ce-cream/services
%dir /usr/share/doc/glite-ce-cream-core-1.15.2
%doc /usr/share/doc/glite-ce-cream-core-1.15.2/LICENSE






%package es
Summary: The gLite implementation of EMI Execution Service
Group: Applications/Internet
Requires: glite-ce-cream-utils, glite-ce-cream-core, glite-ce-blahp, mysql-connector-java

%description es
This package provides the gLite implementation of Execution Service interface.
The interface is built on top of the core of the Computing Resource Execution 
And Management service.

%files es
%defattr(-,root,root)
%dir /etc/glite-ce-cream-es/
%config(noreplace) /etc/glite-ce-cream-es/*.sql
%config(noreplace) /etc/glite-ce-cream-es/*.template
%config(noreplace) /etc/glite-ce-cream-es/*.tpl
%config(noreplace) /etc/glite-ce-cream-es/*.properties
%config(noreplace) /etc/glite-ce-cream-es/storedprocedures/*.sql
/usr/share/glite-ce-cream/services/glite-ce-cream-es.aar
%dir /usr/share/doc/glite-ce-cream-es-1.15.2
%doc /usr/share/doc/glite-ce-cream-es-1.15.2/LICENSE

%pre es
for((idx=0; idx<5; idx++)) ; do
  /sbin/service tomcat6 stop
  if [ $? == 0 ] ; then idx=5; else sleep 5; fi
done

%post es
# Do not overwrite axis2-based installation
if [ ! -L /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/services/glite-ce-cream-es.aar ] ; then

  cp -R /usr/share/axis2/webapp /var/lib/tomcat6/webapps/ce-cream-es || exit 1
  
  ln -s /usr/share/java/jclassads/cedar.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/jclassads/classad.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-api-java-compat.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-common-compat.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/trustmanager.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/bcprov.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/delegation-java-compat.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-common-java.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-api-java.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-blahExecutor.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-core.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-delegationExecutor.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-cream-es-skeleton.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-delegation-skeleton.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/glite-jdl-api-java.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib
  ln -s /usr/share/java/voms-api-java.jar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/lib

if [ "xsl6" == "xsl6" ]; then
  # set allowLinking option for tomcat6
  mkdir /var/lib/tomcat6/webapps/ce-cream-es/META-INF
  echo '<Context override="true" allowLinking="true"></Context>' > /var/lib/tomcat6/webapps/ce-cream-es/META-INF/context.xml
fi

  ln -s /usr/share/glite-ce-cream/modules/glite-ce-cream-authorization.mar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/modules
  find /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/modules -name *.mar -exec basename \{\} \; > /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/modules/modules.list
  
  ln -s /usr/share/glite-ce-cream/services/glite-ce-cream-es.aar /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/services
  find /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/services -name *.aar -exec basename \{\} \; > /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/services/services.list

  cp /etc/glite-ce-dbtool/creamdb_min_access.conf.template /etc/glite-ce-cream-es/creamdb_min_access.conf
  
fi

# Axis Servlet configuration
# customization of axis2.xml (admin password is deprecated)
REPLACE1='s|__CHANGE_SERVICE__|/etc/glite-ce-cream-es/cream-config.xml|g'
REPLACE2='s|__CHANGE_LOG4J__|/etc/glite-ce-cream-es/log4j.properties|g'
TMPPWD=xKvwjtHoAT6QXqC5kFeq
REPLACE3='s|__CHANGE_PWD__|'$TMPPWD'|g'
  
sed "$REPLACE1 ; $REPLACE2 ; $REPLACE3" /etc/glite-ce-common-java/axis2.xml > /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/conf/axis2.xml
chmod 600 /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/conf/axis2.xml
chown tomcat.tomcat /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/conf/axis2.xml
# cannot use symlinks for the following files:
cp -f /etc/glite-ce-common-java/web.xml /var/lib/tomcat6/webapps/ce-cream-es/WEB-INF/


if [ $1 -eq 1 ] ; then

  mkdir -p /var/cream-es
  chown tomcat:tomcat /var/cream-es
  chmod 700 /var/cream-es

  mkdir -p /var/cream_es_sandbox 
  chown tomcat:tomcat /var/cream_es_sandbox 
  chmod 700 /var/cream_es_sandbox 
    
  mkdir -p /var/log/cream-es
  chown tomcat:tomcat /var/log/cream-es
  chmod 755 /var/log/cream-es
    
  /sbin/service tomcat6 start
  
fi

%preun es
if [ $1 -eq 0 ] ; then

  for((idx=0; idx<5; idx++)) ; do
    /sbin/service tomcat6 stop
    if [ $? == 0 ] ; then idx=5; else sleep 5; fi
  done

  if [ -d /var/lib/tomcat6/webapps/ce-cream-es ] ; then 
    rm -rf /var/lib/tomcat6/webapps/ce-cream-es
  fi
    
  if [ -e /etc/tomcat6/Catalina/localhost/ce-cream-es.xml ] ; then
    rm -f /etc/tomcat6/Catalina/localhost/ce-cream-es.xml
  fi
    
  rm -f /etc/glite-ce-cream-es/creamdb_min_access.conf
  
fi

%postun es
/sbin/service tomcat6 start


%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.15.2-1.sl6
- New major release


